---
search:
  tags:
    - Customers
    - GET
seo:
  description: >-
    Get a customer. Reference for the GET /customers/{id} endpoint in the Bolder
    API v2.
sidebar:
  label: Get a customer
  badge: GET
title: Get a customer
type: openapi-operation
---
`GET /customers/{id}`

**cURL**

```bash
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/customers/3001"
```

**Responses**

- `200` — Customer entity
- `403` — Access denied
- `404` — Customer not found

Response example, 200:

```json
{
  "id": 3001,
  "shop_id": 1,
  "email": "jane@example.com",
  "name": "Jane Smith",
  "customer_status": "private",
  "phone_number": "+15551234567",
  "phone_validated": true,
  "created_on": "2024-03-10T11:00:00Z",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/customers/3001"
    },
    "orders": {
      "href": "https://api.onbolder.com/v2/orders?shop_id=1&contact_email=jane@example.com"
    },
    "customers:update": {
      "href": "https://api.onbolder.com/v2/customers/3001",
      "method": "put"
    }
  }
}
```
